Skip navigation

HT1338: OS X: Updating OS X and Mac App Store apps

Learn about OS X: Updating OS X and Mac App Store apps

HT1338 I need mac os leopard or os x 10.5 where can I purchase this from.

320 Views 3 Replies Latest reply: Nov 20, 2013 7:53 AM by a brody RSS
Rosalind62 Calculating status...
Currently Being Moderated
Nov 17, 2013 11:44 AM

Hi I have a mac book 2007 intel processor and have tried to download snow leopard 10.6 but is now says I need Mac os x 10.5

Where do I purchase this I have tried everywhere?

Ros

MacBook, Mac OS X (10.4.11)

Actions

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.